import { View, Text, Alert } from "react-native";
import { Rating } from "@rneui/themed";
import { Slider, Button } from "@rneui/themed";
import { useState } from "react";

interface Props {
	countHabits: number;
	countHabitsCompleted: number;
	countHabitsNotCompleted: number;
}
export const ScreenStats = ({ countHabits }: Props) => {
	// let copyArray = [...array, value];
	// let copyDict = {...dict, key: value};
	const [rating, setRating] = useState(0);
	return (
		<View>
			<Slider value={rating} onValueChange={setRating} maximumValue={10} minimumValue={0} />
			<Rating
				showRating={true}
				onFinishRating={(value: number) => {
					setRating(value);
				}}
			/>
			<Button
				title={"RNEUI Button"}
				buttonStyle={{ backgroundColor: "rgba(39, 39, 39, 1)" }}
				containerStyle={{
					width: 200,
					marginHorizontal: 50,
					marginVertical: 10,
				}}
				titleStyle={{ color: "white", marginHorizontal: 20 }}
				onPress={() => {
					Alert.alert("Button pressed");
				}}
			/>
			<Text>{`Rating: ${rating}`}</Text>
			<Text>{`Number of habits: ${countHabits}`}</Text>
		</View>
	);
};
